Gestiono
Referencia de APIAccounting / Beneficiary

Update Beneficiary

← Back to full API reference
PATCH/v1/beneficiaryAuth required
  • Validated by Zod schema: patchBeneficiary.

Request details

Body fields

FieldRequiredDescription
idYesType: number
nameNoType: string
typeNoEnum-like validator generated by zodFromObj
taxIdNoType: string
referenceNoType: string
labelsNoType: arrayExample:
labels[]YesType: string
imageNoType: string
metadataNoType: unknown
assignedDivisionIdNoType: number
referredByNoType: number
stripeCustomerIdNoType: string
cardnetCustomerIdNoType: string
latNoType: number
lonNoType: number
creditLimitNoType: number
archivedNoType: boolean

Default payloads

Path params

json
{}

Query

json
{}

Body

json
{
  "id": 1
}

Sample response

json
{
  "beneficiaryId": "<beneficiaryId>"
}